Bug 108452 - UI: the curve tool pointer is invisible on a black background (GTK3)
Summary: UI: the curve tool pointer is invisible on a black background (GTK3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.0.2 target:5.3.5
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-06-10 20:16 UTC by thekswenson
Modified: 2017-07-11 14:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with black background (12.22 KB, application/vnd.oasis.opendocument.presentation)
2017-06-20 13:31 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thekswenson 2017-06-10 20:16:43 UTC
Description:
The curve tool pointer is all black.  It is invisible on slides with a lot of black or a black background.

Steps to Reproduce:
1. Make a slide with a black background.
2. Click on the curve tool.


Actual Results:  
See that the black pointer is invisible.

Expected Results:
The pointer should be visible.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36
Comment 1 thekswenson 2017-06-10 20:20:39 UTC
This is worse than I thought...
  many of the drawing tools have all black pointers.
Comment 2 Buovjaga 2017-06-12 11:37:36 UTC
By curve tool you are referring to the connector, right?
I have to test on Linux later, as Windows inverts the pointer color, so there is no problem.
Comment 3 thekswenson 2017-06-12 11:41:23 UTC
It's the tool to draw freehand, or make bezier curves.  But there is the same problem for most of the tools, including the text entry tool.
Comment 4 Buovjaga 2017-06-20 13:31:27 UTC
Created attachment 134162 [details]
Presentation with black background

Repro, but only with GTK3 backend.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: d6c4c576ef71f2294ec8eefc6576a797220e6809
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 18th 2017
Comment 5 Caolán McNamara 2017-06-22 08:44:27 UTC
White border around the black cursor is missing, so must be creating the cursor incorrectly from the source xbms
Comment 6 Commit Notification 2017-06-22 14:58:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9709798ae416516037011565c151a54831008082

Resolves: tdf#108452 gtk3 xbm cursors invisible on black bg

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2017-06-22 14:59:53 UTC
backport for 5-4 and 5-3 in gerrit
Comment 8 Buovjaga 2017-06-22 15:40:14 UTC
Fix confirmed!

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 9709798ae416516037011565c151a54831008082
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 22nd 2017
Comment 9 Commit Notification 2017-07-04 10:34:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d3ede5a17ebc47c7c6871bda39fea4555ba2bf1&h=libreoffice-5-4

Resolves: tdf#108452 gtk3 xbm cursors invisible on black bg

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-07-11 14:18:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57272e5476d15d355018883c1cc9762d785d967c&h=libreoffice-5-3

Resolves: tdf#108452 gtk3 xbm cursors invisible on black bg

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.